package com.ssj.service.conch.teacher.request.oneonly;

import java.util.List;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class XbFeedbackSub extends BaseRequest{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="courseId",value="排课id",required=true)
	private String courseId;
	@ApiModelProperty(name="subCourseList",value="反馈科目list",required=true)
	private List<SubCourse> subCourseList;
	@ApiModelProperty(name="totalityInfo",value="总体内容",required=true)
	private  TotalityInfo totalityInfo;
	@ApiModelProperty(name="isPre",value="1-预览提交2-最终提交",required=true)
	private Integer isPre;
	
	public String getCourseId() {
		return courseId;
	}
	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}
	public List<SubCourse> getSubCourseList() {
		return subCourseList;
	}
	public void setSubCourseList(List<SubCourse> subCourseList) {
		this.subCourseList = subCourseList;
	}
	public TotalityInfo getTotalityInfo() {
		return totalityInfo;
	}
	public void setTotalityInfo(TotalityInfo totalityInfo) {
		this.totalityInfo = totalityInfo;
	}
	public Integer getIsPre() {
		return isPre;
	}
	public void setIsPre(Integer isPre) {
		this.isPre = isPre;
	}
	
	
}
